import d from "../../../@babel/runtime/helpers/esm/extends.mjs";
import t from "../../../@babel/runtime/helpers/esm/objectSpread2.mjs";
import * as s from "react";
import k from "../../../classnames/index.mjs";
import v from "../../../rc-motion/es/CSSMotion.mjs";
import "../../../rc-motion/es/CSSMotionList.mjs";
function S(e) {
  var a = e.prefixCls, o = e.style, i = e.visible, l = e.maskProps, r = e.motionName, n = e.className;
  return /* @__PURE__ */ s.createElement(v, {
    key: "mask",
    visible: i,
    motionName: r,
    leavedClassName: "".concat(a, "-mask-hidden")
  }, function(m, c) {
    var f = m.className, N = m.style;
    return /* @__PURE__ */ s.createElement("div", d({
      ref: c,
      style: t(t({}, N), o),
      className: k("".concat(a, "-mask"), f, n)
    }, l));
  });
}
export {
  S as default
};
